/** Shopify CDN: Minification failed

Line 381:19 Expected ")" to end URL token

**/
/* Sunny Road 2025 */

.d-none {
  display: none;
}
/* src/srd-quantity-field/srd-quantity.css  */
.srd-quantity input[type="number"] {
  appearance: inherit;
  -moz-appearance: textfield;
  width: 3em;
  border: none;
  text-align: center;
}
.srd-quantity input[type="number"] {
  border: none !important;
}

.srd-quantity .minus,
.srd-quantity .plus {
  width: 16px;
  padding: 2px;
  cursor: pointer;
  text-align: center;
}

.srd-quantity {
  display: flex;
  flex-direction: row;
  gap: 4px;
  align-items: flex-end;
}

.srd-quantity:has(input::disabled) {
  opacity: 0.5;
}

.srd-quantity .wrapper {
  border: 1px solid #000000;
  display: flex;
  gap: 4px;
  align-items: center;
  border-radius: 5px;
}

.srd-quantity .extra {
  display: none;
}

.srd-quantity.active .extra {
  display: inline;
}

/* src/srd-sticky/sticky.css  */
.srd-sticky {
  display: none;
  position: absolute;
  top: 0px;
  left: 0px;
  background: #ffffff;
}
.srd-sticky.pdp-atc {
  background: #ffffff;
  padding-bottom: 2px;
  animation-duration: 0.5s;
  animation-name: fadeOut;
}
.mobile-dock.pdp-atc.is-active {
  animation-duration: 0.5s;
  animation-name: fadeIn;
}

.srd-sticky.active {
  display: flex;
  width: 100vw;
}

.mobile-dock {
  display: flex;
  z-index: 1000;
  width: 100%;
  position: fixed;
  left: 0px;
  bottom: 0px;
  overflow: hidden;
  transform: translateY(-100%);
  transition: transform 1s ease;
  background: #fff;
  background-color: #888;
}
mobile-dock.pdp-atc {
  opacity: 0;
  animation-duration: 0.5s;
  animation-name: fadeOut;
}
mobile-dock.pdp-atc.is-active {
  opacity: 1;
  animation-duration: 0.5s;
  animation-name: fadeIn;
}

@media screen and (min-width: 762px) {
  .srd-sticky.pdp-atc {
    justify-content: space-between;
    width: 100%;
    display: flex;
    padding: 5px;
  }

  .srd-sticky.active {
    display: flex;
    width: 100vw;

    background-color: #4d624b;
  }
  .mobile-dock.pdp-atc.is-active {
    display: flex !important;
    animation-duration: 0.5s;
    animation-name: fadeIn;

    padding: 0px;
  }
  .mobile-dock.pdp-atc {
    overflow: visible;
    display: flex !important;
    animation-name: fadeOut;
    animation-duration: 0.5s;
  }
  .mobile-dock.pdp-atc .dummy {
    flex-grow: 1;
  }
}
button.pdp-sticky-atc {
  background-color: #fff8ed !important;
  color: #4d624b !important;
}

@media screen and (max-width: 762px) {
  .srd-sticky.pdp-atc {
    overflow: visible;
    transform: translateY(-49);
    display: flex;
    justify-content: flex-end;
    width: 100%;
    padding: 8px;
  }
  .mobile-dock.pdp-atc.is-active {
    display: flex !important;
    transition: transform 0.25s ease;

    padding: 0px;
    animation-duration: 0.5s;
    animation-name: fadeIn;
  }
  mobile-dock.pdp-atc {
    overflow: visible;
    display: flex !important;
    transition: transform 0.25s ease;
    z-index: 1000;
    animation-duration: 0.5s;
    animation-name: fadeOut;
  }
}

@keyframes fadeIn {
  0% {
    opacity: 0;
  }
  1% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
@keyframes fadeOut {
  0% {
    opacity: 1;
  }
  1% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}
/* src/srd-rendered-sticky/rendered-atc.css  */
.srd-sticky.pdp-atc .product-info {
  display: flex;
  gap: 8px;
}
.srd-sticky.pdp-atc .product-image img {
  height: 72px;
  width: auto;
}

.srd-sticky.pdp-atc .product-description {
  display: flex;
  flex-direction: column;
  gap: 12px;
  margin-top: 12px;
}
.srd-sticky.pdp-atc .product-name {
  font-family: "DM Sans";
  font-weight: 500;
  font-size: 14px;
  line-height: 100%;
  letter-spacing: 2%;
}
.srd-sticky.pdp-atc .product-price {
  font-family: DM Sans;
  font-weight: 700;
  font-size: 14px;
  line-height: 100%;
  letter-spacing: 2%;
}
.srd-sticky.pdp-atc .pdp-sticky-atc {
  display: flex;
  gap: 16px;
  align-items: center;
}

.sticky-pdp-select,
.srd-quantity .wrapper {
  border: 1px solid #00000022;
  font-family: DM Sans;
  font-weight: 500;
  font-size: 14px;
  line-height: 100%;
  letter-spacing: 2%;
  padding: 8px;
  padding-right: 16px;
  background-color: transparent;
  border-radius: 12px;
  outline: none;
}

.srd-sticky .quantity-input {
  display: none; /* Sunny Road 2025 */

  .btn.btn--primary.sticky-atc {
    border-radius: 25px;
    font-size: 12px;
    padding: 2px 36px;
    height: 39px;
  }

  body:has(.kl-teaser-RsCvPy) .srd-sticky.pdp-atc .product-info {
    margin-left: 110px;
  }

  .srd-sticky.pdp-atc .product-info {
    display: flex;
    gap: 8px;
  }
  .srd-sticky.pdp-atc .product-image img {
    height: 72px;
    width: auto;
  }

  .srd-sticky.pdp-atc .product-description {
    display: flex;
    flex-direction: column;
    gap: 12px;
    margin-top: 12px;
  }
  .srd-sticky.pdp-atc .product-name {
    font-family: "DM Sans";
    font-weight: 500;
    font-size: 14px;
    line-height: 100%;
    letter-spacing: 2%;
  }
  .srd-sticky.pdp-atc .product-price {
    font-family: DM Sans;
    font-weight: 700;
    font-size: 14px;
    line-height: 100%;
    letter-spacing: 2%;
  }
  .srd-sticky.pdp-atc .pdp-sticky-atc {
    display: flex;
    gap: 16px;
    align-items: center;
  }

  .sticky-pdp-select,
  .srd-quantity .wrapper {
    border: 1px solid #00000022;
    font-family: DM Sans;
    font-weight: 500;
    font-size: 14px;
    line-height: 100%;
    letter-spacing: 2%;
    padding: 8px;
    padding-right: 16px;
    background-color: transparent;
    border-radius: 12px;
    outline: none;
  }

  .srd-sticky .quantity-input {
    display: none;
  }
  .srd-sticky {
    border-top: 1px solid #000000;
  }

  @media screen and (max-width: 762px) {
    .srd-sticky.pdp-atc .product-info,
    .pdp-sticky-select-holder {
      display: none;
    }
  }
  body:has(.mobile-dock.pdp-atc.is-active) #shopify-chat {
    display: none;
  }
}
.srd-sticky {
  border-top: 1px solid #000000;
}

@media screen and (max-width: 762px) {
  .srd-sticky.pdp-atc .product-info,
  .pdp-sticky-select-holder {
    display: none;
  }
  body:has(#CartDrawer[active]) #shopify-chat,
  body:has(#CartDrawer[active]) .kl-teaser-XSsezW,
  body:has(#CartDrawer[active]) .mobile-dock.pdp-atc.is-active {
    display: none !important;
  }
  body:has(.mobile-dock.pdp-atc.is-active) .kl-teaser-XSsezW {
    bottom: 52px !important;
  }
  body:has(.mobile-dock.pdp-atc.is-active) #ShopifyChat {
    bottom: 132px !important;
  }
  body:has(.pdp-sticky-add-to-cart.visible) .kl-teaser-YijqDi,
  body:has(.pdp-sticky-add-to-cart.visible) .kl-teaser-X22jmD {
    bottom: 110px !important;
  }
}

@media screen and (min-width: 762px) {
  body:has(.pdp-sticky-add-to-cart.visible) .kl-teaser-YijqDi {
    bottom: 120px !important;
  }
  body:has(.mobile-dock.pdp-atc.is-active) .rp-app,
  body:has(.mobile-dock.pdp-atc.is-active) .rp-micro-app-dummy-icon-container {
    display: none !important;
  }
}
/* src/srd-rendered-sticky/markethouse/markethouse.css  */

#PBarNextFrameWrapper {
  display: none;
}

.sticky-pdp-select {
  border-radius: 0;
  border: 0.5px solid var(--foreword-primary);
  text-align: center;
  font-family: var(--h6-font);
  font-size: 12px;
  line-height: 14px;
  color: var(--foreword-primary);
  text-transform: uppercase;
  background-image: none;
  appearance: auto;
  padding: 13px;
  -webkit-appearance: none;
  -moz-appearance: none;
  background: transparent;
  border: 1px solid #797979;
  background-image: url(
    data:image/svg + xml,
    %3Csvgxmlns="http://www.w3.org/2000/svg"width="15"height="9"viewBox="0 0 15 9"fill="none"%3E%3Cpathd="M0.773682 1.06152L7.27368 8.06152L13.7737 1.06152"stroke="%23084035"stroke-linecap="round"/%3E%3C/svg%3E
  );
  background-repeat: no-repeat;
  background-position-x: 94%;
  background-position-y: 15px;
  text-transform: uppercase;
}
.sticky-atc {
  font-size: 12px;
  line-height: 14px;
}
